SoEngineOutput(3IV)

NAME
SoEngineOutput — class for all engine outputs

INHERITS FROM
SoEngineOutput

SYNOPSIS
#include <Inventor/engines/SoEngine.h>

Methods from class SoEngineOutput:

SoType
getConnectionType() const
int
getForwardConnections(SoFieldList &list) const
void
enable(SbBool flag)
SbBool
isEnabled() const
SoEngine*
getContainer() const

DESCRIPTION
SoEngineOuput is the class for all engine output fields. There is no public constructor routine for this class. Only the engine classes create instances of SoEngineOutput.

Each engine creates one or more engine outputs. The type of the output is documented in the engine reference pages. There is also an SoEngineOutput method for querying the connection type.

The application can at any time enable or disable the engine outputs. By default the engine outputs are enabled.

METHODS
SoType
getConnectionType() const
Returns the type of field this output can connect to.

int
getForwardConnections(SoFieldList &list) const
Returns the number of fields this output is writing to, and adds pointers to those fields to the given list.

void
enable(SbBool flag)
Enables or disables all connections from this ouptut. If the connections are disabled, values will not be output along them. By default, outputs are enabled.

SbBool
isEnabled() const
Returns TRUE if this output is currently enabled.

SoEngine*
getContainer() const
Returns containing engine.

SEE ALSO
SoEngine